Skip to main content

AutoDetectIngestResponse

content_typeContent Typerequired

The detected type.

Example: web
document objectrequired
character_countCharacter Count
Default value: 0
document_idDocument Idrequired
processing_status object

Poll GET /api/v1/documents/{doc_id} until this is null.

anyOf
string
scrape_job_id object
anyOf
string
source_url object
anyOf
string
successSuccess
Default value: true
titleTitlerequired

A placeholder until the fetch completes.

url object
anyOf
string
word_countWord Count
Default value: 0
property name*any
media_provenance object
anyOf
string
messageMessagerequired
property name*any
AutoDetectIngestResponse
{
"content_type": "web",
"document": {
"character_count": 0,
"document_id": "string",
"processing_status": "string",
"scrape_job_id": "string",
"source_url": "string",
"success": true,
"title": "string",
"url": "string",
"word_count": 0
},
"media_provenance": "string",
"message": "string"
}